<section class="search unselectable" #container
         (keyup.escape)="toggleSearch(false)"
         (mouseenter)="mouseOver = true" (mouseleave)="mouseOver = false"
         (keydown.arrowUp)="moveDown()" (keydown.arrowDown)="moveUp()">
  <span class="title">Alle Apps</span>
  <input type="text" placeholder="Suche" (keyup)="search(searchInput.value, $event.code)" (keyup.enter)="openProgram(programs[selected === -1 ? 0 : selected].id)" #searchInput>

  <div *ngFor="let window of programs" class="program" [ngStyle]="{'background-color': programs.indexOf(window) === selected ? 'var(--colors-second-background)' : 'transparent'}">
    <div (click)="openProgram(window.id)" class="info">
      <img src="{{window.icon}}" alt="window-icon" draggable="false">
      <span>{{window.name}}</span>
    </div>

    <div class="action-buttons">
      <button mat-icon-button (click)="togglePin(window)" [ngStyle]="{'color': isPinned(window) ? 'var(--colors-primary)' : 'var(--colors-text)'}"><mat-icon>push_pin</mat-icon></button>
    </div>
  </div>
</section>
